import{s as dt,f as mt,n as gt,o as vt}from"../chunks/scheduler.f7e1785c.js";import{S as wt,i as xt,g as l,s as a,r as G,A as Ct,h as r,f as n,c as o,j as ft,u as R,x as s,k as N,y as yt,a as i,v as O,d as V,t as Y,w as K}from"../chunks/index.9f8f0838.js";import{H as Z,E as bt}from"../chunks/EditOnGithub.5a9bb8c5.js";function $t(Fe){let h,ee,Q,te,c,ne,p,ze="Dear learner,",ie,f,je=`Welcome to this course on using transformers for audio. Time and again transformers have proven themselves as one of the
most powerful and versatile deep learning architectures, capable of achieving state-of-the-art results in a wide range of
tasks, including natural language processing, computer vision, and more recently, audio processing.`,ae,d,Je=`In this course, we will explore how transformers can be applied to audio data. You’ll learn how to use them to tackle a
range of audio-related tasks. Whether you are interested in speech recognition, audio classification, or generating speech
from text, transformers and this course have got you covered.`,oe,m,We="To give you a taste of what these models can do, say a few words in the demo below and watch the model transcribe it in real-time!",le,u,Be="",De,re,g,Ge=`Throughout the course, you will gain an understanding of the specifics of working with audio data, you’ll learn about different
transformer architectures, and you’ll train your own audio transformers leveraging powerful pre-trained models.`,se,v,Re=`This course is designed for learners with a background in deep learning, and general familiarity with transformers.
No expertise in audio data processing is required. If you need to brush up on your understanding of transformers, check out
our <a href="https://huggingface.co/course/chapter1/1" rel="nofollow">NLP Course</a> that goes into much detail on the transformer basics.`,ue,w,he,x,Ne="<strong>Sanchit Gandhi, Machine Learning Research Engineer at Hugging Face</strong>",ce,C,Oe=`Hi! I’m Sanchit and I’m a machine learning research engineer for audio in the open-source team at Hugging Face 🤗.
My primary focus is automatic speech recognition and translation, with the current goal of making speech models faster,
lighter and easier to use.`,pe,y,Ve="<strong>Matthijs Hollemans, Machine Learning Engineer at Hugging Face</strong>",fe,b,Ye=`I’m Matthijs, and I’m a machine learning engineer for audio in the open source team at Hugging Face. I’m also the author
of a book on how to write sound synthesizers, and I create audio plug-ins in my spare time.`,de,$,Ke="<strong>Maria Khalusova, Documentation &amp; Courses at Hugging Face</strong>",me,_,Qe=`I’m Maria, and I create educational content and documentation to make Transformers and other open-source tools even more
accessible. I break down complex technical concepts and help folks get started with cutting-edge technologies.`,ge,T,Xe="<strong>Vaibhav Srivastav, ML Developer Advocate Engineer at Hugging Face</strong>",ve,H,Ze=`I’m Vaibhav (VB) and I’m a Developer Advocate Engineer for Audio in the Open Source team at Hugging Face. I research
low-resource Text to Speech and help bring SoTA speech research to the masses.`,we,M,xe,P,et="The course is structured into several units that covers various topics in depth:",Ce,L,tt=`<li><a href="https://huggingface.co/learn/audio-course/chapter1" rel="nofollow">Unit 1</a>: learn about the specifics of working with audio data, including audio processing techniques and data preparation.</li> <li><a href="https://huggingface.co/learn/audio-course/chapter2" rel="nofollow">Unit 2</a>: get to know audio applications and learn how to use 🤗 Transformers pipelines for different tasks, such as
audio classification and speech recognition.</li> <li><a href="https://huggingface.co/learn/audio-course/chapter3" rel="nofollow">Unit 3</a>: explore audio transformer architectures, learn how they differ, and what tasks they are best suited for.</li> <li><a href="https://huggingface.co/learn/audio-course/chapter4" rel="nofollow">Unit 4</a>: learn how to build your own music genre classifier.</li> <li><a href="https://huggingface.co/learn/audio-course/chapter5" rel="nofollow">Unit 5</a>: delve into speech recognition and build a model to transcribe meeting recordings.</li> <li><a href="https://huggingface.co/learn/audio-course/chapter6" rel="nofollow">Unit 6</a>: learn how to generate speech from text.</li> <li><a href="https://huggingface.co/learn/audio-course/chapter7" rel="nofollow">Unit 7</a>: learn how to build real-world audio applications with transformers.</li>`,ye,k,nt=`Each unit includes a theoretical component, where you will gain a deep understanding of the underlying concepts and
techniques. Throughout the course, we provide quizzes to help you test your knowledge and reinforce your learning.
Some chapters also include hands-on exercises, where you will have the opportunity to apply what you have learned.`,be,U,it=`By the end of the course, you will have a strong foundation in using transformers for audio data and will be
well-equipped to apply these techniques to a wide range of audio-related tasks.`,$e,I,at="The course units will be released in several consecutive blocks with the following publishing schedule:",_e,E,ot="<thead><tr><th>Units</th> <th>Publishing date</th></tr></thead> <tbody><tr><td>Unit 0, Unit 1, and Unit 2</td> <td>June 14, 2023</td></tr> <tr><td>Unit 3, Unit 4</td> <td>June 21, 2023</td></tr> <tr><td>Unit 5</td> <td>June 28, 2023</td></tr> <tr><td>Unit 6</td> <td>July 5, 2023</td></tr> <tr><td>Unit 7, Unit 8</td> <td>July 12, 2023</td></tr></tbody>",Te,q,He,S,lt=`There is no right or wrong way to take this course. All the materials in this course are 100% free, public and open-source.
You can take the course at your own pace, however, we recommend going through the units in their order.`,Me,A,rt="If you’d like to get certified upon the course completion, we offer two options:",Pe,F,st="<thead><tr><th>Certificate type</th> <th>Requirements</th></tr></thead> <tbody><tr><td>Certificate of completion</td> <td>Complete 80% of the hands-on exercises according to instructions.</td></tr> <tr><td>Certificate of honors</td> <td>Complete 100% of the hands-on exercises according to instructions.</td></tr></tbody>",Le,z,ut=`Each hands-on exercise outlines its completion criteria. Once you have completed enough hands-on exercises to qualify
for either of the certificates, refer to the last unit of the course to learn how you can get your certificate. Good luck!`,ke,j,Ue,J,ht=`The units of this course will be released gradually over the course of a few weeks. We encourage you to sign up to the
course updates so that you don’t miss new units when they are released. Learners who sign up to the course updates will
also be the first ones to learn about special social events that we plan to host.`,Ie,W,ct='<a href="http://eepurl.com/insvcI" rel="nofollow">SIGN UP</a>',Ee,B,pt="Enjoy the course!",qe,D,Se,X,Ae;return c=new Z({props:{title:"Welcome to the Hugging Face Audio course!",local:"welcome-to-the-hugging-face-audio-course",headingTag:"h1"}}),w=new Z({props:{title:"Meet the course team",local:"meet-the-course-team",headingTag:"h2"}}),M=new Z({props:{title:"Course structure",local:"course-structure",headingTag:"h2"}}),q=new Z({props:{title:"Learning paths and certification",local:"learning-paths-and-certification",headingTag:"h2"}}),j=new Z({props:{title:"Sign up to the course",local:"sign-up-to-the-course",headingTag:"h2"}}),D=new bt({props:{source:"https://github.com/huggingface/audio-transformers-course/blob/main/chapters/en/chapter0/introduction.mdx"}}),{c(){h=l("meta"),ee=a(),Q=l("p"),te=a(),G(c.$$.fragment),ne=a(),p=l("p"),p.textContent=ze,ie=a(),f=l("p"),f.textContent=je,ae=a(),d=l("p"),d.textContent=Je,oe=a(),m=l("p"),m.textContent=We,le=a(),u=l("iframe"),u.innerHTML=Be,re=a(),g=l("p"),g.textContent=Ge,se=a(),v=l("p"),v.innerHTML=Re,ue=a(),G(w.$$.fragment),he=a(),x=l("p"),x.innerHTML=Ne,ce=a(),C=l("p"),C.textContent=Oe,pe=a(),y=l("p"),y.innerHTML=Ve,fe=a(),b=l("p"),b.textContent=Ye,de=a(),$=l("p"),$.innerHTML=Ke,me=a(),_=l("p"),_.textContent=Qe,ge=a(),T=l("p"),T.innerHTML=Xe,ve=a(),H=l("p"),H.textContent=Ze,we=a(),G(M.$$.fragment),xe=a(),P=l("p"),P.textContent=et,Ce=a(),L=l("ul"),L.innerHTML=tt,ye=a(),k=l("p"),k.textContent=nt,be=a(),U=l("p"),U.textContent=it,$e=a(),I=l("p"),I.textContent=at,_e=a(),E=l("table"),E.innerHTML=ot,Te=a(),G(q.$$.fragment),He=a(),S=l("p"),S.textContent=lt,Me=a(),A=l("p"),A.textContent=rt,Pe=a(),F=l("table"),F.innerHTML=st,Le=a(),z=l("p"),z.textContent=ut,ke=a(),G(j.$$.fragment),Ue=a(),J=l("p"),J.textContent=ht,Ie=a(),W=l("p"),W.innerHTML=ct,Ee=a(),B=l("p"),B.textContent=pt,qe=a(),G(D.$$.fragment),Se=a(),X=l("p"),this.h()},l(e){const t=Ct("svelte-u9bgzb",document.head);h=r(t,"META",{name:!0,content:!0}),t.forEach(n),ee=o(e),Q=r(e,"P",{}),ft(Q).forEach(n),te=o(e),R(c.$$.fragment,e),ne=o(e),p=r(e,"P",{"data-svelte-h":!0}),s(p)!=="svelte-5uvv1z"&&(p.textContent=ze),ie=o(e),f=r(e,"P",{"data-svelte-h":!0}),s(f)!=="svelte-mwfsep"&&(f.textContent=je),ae=o(e),d=r(e,"P",{"data-svelte-h":!0}),s(d)!=="svelte-rzefl8"&&(d.textContent=Je),oe=o(e),m=r(e,"P",{"data-svelte-h":!0}),s(m)!=="svelte-1c77kil"&&(m.textContent=We),le=o(e),u=r(e,"IFRAME",{src:!0,frameborder:!0,width:!0,height:!0,"data-svelte-h":!0}),s(u)!=="svelte-sv748y"&&(u.innerHTML=Be),re=o(e),g=r(e,"P",{"data-svelte-h":!0}),s(g)!=="svelte-186k5aj"&&(g.textContent=Ge),se=o(e),v=r(e,"P",{"data-svelte-h":!0}),s(v)!=="svelte-cf92mw"&&(v.innerHTML=Re),ue=o(e),R(w.$$.fragment,e),he=o(e),x=r(e,"P",{"data-svelte-h":!0}),s(x)!=="svelte-1owasxi"&&(x.innerHTML=Ne),ce=o(e),C=r(e,"P",{"data-svelte-h":!0}),s(C)!=="svelte-nxmvni"&&(C.textContent=Oe),pe=o(e),y=r(e,"P",{"data-svelte-h":!0}),s(y)!=="svelte-pp2gt5"&&(y.innerHTML=Ve),fe=o(e),b=r(e,"P",{"data-svelte-h":!0}),s(b)!=="svelte-14tsi7a"&&(b.textContent=Ye),de=o(e),$=r(e,"P",{"data-svelte-h":!0}),s($)!=="svelte-7xtmli"&&($.innerHTML=Ke),me=o(e),_=r(e,"P",{"data-svelte-h":!0}),s(_)!=="svelte-1vobe52"&&(_.textContent=Qe),ge=o(e),T=r(e,"P",{"data-svelte-h":!0}),s(T)!=="svelte-1hddh27"&&(T.innerHTML=Xe),ve=o(e),H=r(e,"P",{"data-svelte-h":!0}),s(H)!=="svelte-1a9pqel"&&(H.textContent=Ze),we=o(e),R(M.$$.fragment,e),xe=o(e),P=r(e,"P",{"data-svelte-h":!0}),s(P)!=="svelte-1swxprm"&&(P.textContent=et),Ce=o(e),L=r(e,"UL",{"data-svelte-h":!0}),s(L)!=="svelte-ti75wq"&&(L.innerHTML=tt),ye=o(e),k=r(e,"P",{"data-svelte-h":!0}),s(k)!=="svelte-17cs643"&&(k.textContent=nt),be=o(e),U=r(e,"P",{"data-svelte-h":!0}),s(U)!=="svelte-m25bt4"&&(U.textContent=it),$e=o(e),I=r(e,"P",{"data-svelte-h":!0}),s(I)!=="svelte-qbzsls"&&(I.textContent=at),_e=o(e),E=r(e,"TABLE",{"data-svelte-h":!0}),s(E)!=="svelte-11ezg62"&&(E.innerHTML=ot),Te=o(e),R(q.$$.fragment,e),He=o(e),S=r(e,"P",{"data-svelte-h":!0}),s(S)!=="svelte-e8r2h6"&&(S.textContent=lt),Me=o(e),A=r(e,"P",{"data-svelte-h":!0}),s(A)!=="svelte-1qcmmfy"&&(A.textContent=rt),Pe=o(e),F=r(e,"TABLE",{"data-svelte-h":!0}),s(F)!=="svelte-8ju76u"&&(F.innerHTML=st),Le=o(e),z=r(e,"P",{"data-svelte-h":!0}),s(z)!=="svelte-m499en"&&(z.textContent=ut),ke=o(e),R(j.$$.fragment,e),Ue=o(e),J=r(e,"P",{"data-svelte-h":!0}),s(J)!=="svelte-1vc4d5x"&&(J.textContent=ht),Ie=o(e),W=r(e,"P",{"data-svelte-h":!0}),s(W)!=="svelte-1hxp1hw"&&(W.innerHTML=ct),Ee=o(e),B=r(e,"P",{"data-svelte-h":!0}),s(B)!=="svelte-1bw2gm8"&&(B.textContent=pt),qe=o(e),R(D.$$.fragment,e),Se=o(e),X=r(e,"P",{}),ft(X).forEach(n),this.h()},h(){N(h,"name","hf:doc:metadata"),N(h,"content",_t),mt(u.src,De="https://openai-whisper.hf.space")||N(u,"src",De),N(u,"frameborder","0"),N(u,"width","850"),N(u,"height","450")},m(e,t){yt(document.head,h),i(e,ee,t),i(e,Q,t),i(e,te,t),O(c,e,t),i(e,ne,t),i(e,p,t),i(e,ie,t),i(e,f,t),i(e,ae,t),i(e,d,t),i(e,oe,t),i(e,m,t),i(e,le,t),i(e,u,t),i(e,re,t),i(e,g,t),i(e,se,t),i(e,v,t),i(e,ue,t),O(w,e,t),i(e,he,t),i(e,x,t),i(e,ce,t),i(e,C,t),i(e,pe,t),i(e,y,t),i(e,fe,t),i(e,b,t),i(e,de,t),i(e,$,t),i(e,me,t),i(e,_,t),i(e,ge,t),i(e,T,t),i(e,ve,t),i(e,H,t),i(e,we,t),O(M,e,t),i(e,xe,t),i(e,P,t),i(e,Ce,t),i(e,L,t),i(e,ye,t),i(e,k,t),i(e,be,t),i(e,U,t),i(e,$e,t),i(e,I,t),i(e,_e,t),i(e,E,t),i(e,Te,t),O(q,e,t),i(e,He,t),i(e,S,t),i(e,Me,t),i(e,A,t),i(e,Pe,t),i(e,F,t),i(e,Le,t),i(e,z,t),i(e,ke,t),O(j,e,t),i(e,Ue,t),i(e,J,t),i(e,Ie,t),i(e,W,t),i(e,Ee,t),i(e,B,t),i(e,qe,t),O(D,e,t),i(e,Se,t),i(e,X,t),Ae=!0},p:gt,i(e){Ae||(V(c.$$.fragment,e),V(w.$$.fragment,e),V(M.$$.fragment,e),V(q.$$.fragment,e),V(j.$$.fragment,e),V(D.$$.fragment,e),Ae=!0)},o(e){Y(c.$$.fragment,e),Y(w.$$.fragment,e),Y(M.$$.fragment,e),Y(q.$$.fragment,e),Y(j.$$.fragment,e),Y(D.$$.fragment,e),Ae=!1},d(e){e&&(n(ee),n(Q),n(te),n(ne),n(p),n(ie),n(f),n(ae),n(d),n(oe),n(m),n(le),n(u),n(re),n(g),n(se),n(v),n(ue),n(he),n(x),n(ce),n(C),n(pe),n(y),n(fe),n(b),n(de),n($),n(me),n(_),n(ge),n(T),n(ve),n(H),n(we),n(xe),n(P),n(Ce),n(L),n(ye),n(k),n(be),n(U),n($e),n(I),n(_e),n(E),n(Te),n(He),n(S),n(Me),n(A),n(Pe),n(F),n(Le),n(z),n(ke),n(Ue),n(J),n(Ie),n(W),n(Ee),n(B),n(qe),n(Se),n(X)),n(h),K(c,e),K(w,e),K(M,e),K(q,e),K(j,e),K(D,e)}}}const _t='{"title":"Welcome to the Hugging Face Audio course!","local":"welcome-to-the-hugging-face-audio-course","sections":[{"title":"Meet the course team","local":"meet-the-course-team","sections":[],"depth":2},{"title":"Course structure","local":"course-structure","sections":[],"depth":2},{"title":"Learning paths and certification","local":"learning-paths-and-certification","sections":[],"depth":2},{"title":"Sign up to the course","local":"sign-up-to-the-course","sections":[],"depth":2}],"depth":1}';function Tt(Fe){return vt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Lt extends wt{constructor(h){super(),xt(this,h,Tt,$t,dt,{})}}export{Lt as component};
