import{s as Xe,n as Ge,o as Qe}from"../chunks/scheduler.f7e1785c.js";import{S as Be,i as He,g as d,s as i,r,A as Ye,h as f,f as a,c as n,j as qe,u as o,x as E,k as Je,y as Ze,a as s,v as l,d as m,t as p,w as u}from"../chunks/index.9f8f0838.js";import{C as N}from"../chunks/CodeBlock.b3510e34.js";import{Q as j}from"../chunks/Question.4735dc5d.js";import{H as $,E as Re}from"../chunks/EditOnGithub.5a9bb8c5.js";function Ve(ke){let h,P,S,D,g,O,c,K,w,L,y,ee,x,te,b,ae,v,se,T,ie,C,Ue="A.",ne,_,re,k,We="B.",oe,U,le,W,ze="C.",me,z,pe,F,ue,M,he,A,Fe="A.",de,q,fe,J,Me="B.",$e,X,ge,G,Ae="C.",ce,Q,we,B,ye,H,xe,Y,be,Z,ve,R,Te,V,Ce,I,_e;return g=new $({props:{title:"Check your understanding of the course material",local:"check-your-understanding-of-the-course-material",headingTag:"h1"}}),c=new $({props:{title:"1. What units is the sampling rate measured in?",local:"1-what-units-is-the-sampling-rate-measured-in",headingTag:"h3"}}),w=new j({props:{choices:[{text:"dB",explain:"No, the amplitude is measured in decibels (dB)."},{text:"Hz",explain:"The sampling rate is the number of samples taken in one second and is measured in hertz (Hz).",correct:!0},{text:"bit",explain:"Bits are used to describe bit depth, which refers to the number of bits of information used to represent each sample of an audio signal."}]}}),y=new $({props:{title:"2. When streaming a large audio dataset, how soon can you start using it?",local:"2-when-streaming-a-large-audio-dataset-how-soon-can-you-start-using-it",headingTag:"h3"}}),x=new j({props:{choices:[{text:"As soon as the full dataset is downloaded.",explain:"The goal of streaming data is to be able to work with it without having to fully download a dataset."},{text:"As soon as the first 16 examples are downloaded.",explain:"Try again!"},{text:"As soon as the first example is downloaded.",explain:"",correct:!0}]}}),b=new $({props:{title:"3. What is a spectrogram?",local:"3-what-is-a-spectrogram",headingTag:"h3"}}),v=new j({props:{choices:[{text:"A device used to digitize the audio that is first captured by a microphone, which converts the sound waves into an electrical signal.",explain:"A device used to digitize such electrical signal is called Analog-to-Digital Converter. Try again!"},{text:"A plot that shows how the amplitude of an audio signal change over time. It is also known as the *time domain* representation of sound.",explain:"The description above refers to waveform, not spectrogram."},{text:"A visual representation of the frequency spectrum of a signal as it varies with time.",explain:"",correct:!0}]}}),T=new $({props:{title:"4. What is the easiest way to convert raw audio data into log-mel spectrogram expected by Whisper?",local:"4-what-is-the-easiest-way-to-convert-raw-audio-data-into-log-mel-spectrogram-expected-by-whisper",headingTag:"h3"}}),_=new N({props:{code:"bGlicm9zYS5mZWF0dXJlLm1lbHNwZWN0cm9ncmFtKGF1ZGlvJTVCJTIyYXJyYXklMjIlNUQp",highlighted:'librosa.feature.melspectrogram(audio[<span class="hljs-string">&quot;array&quot;</span>])',wrap:!1}}),U=new N({props:{code:"ZmVhdHVyZV9leHRyYWN0b3IlMjAlM0QlMjBXaGlzcGVyRmVhdHVyZUV4dHJhY3Rvci5mcm9tX3ByZXRyYWluZWQoJTIyb3BlbmFpJTJGd2hpc3Blci1zbWFsbCUyMiklMEFmZWF0dXJlX2V4dHJhY3RvcihhdWRpbyU1QiUyMmFycmF5JTIyJTVEKQ==",highlighted:`feature_extractor = WhisperFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;openai/whisper-small&quot;</span>)
feature_extractor(audio[<span class="hljs-string">&quot;array&quot;</span>])`,wrap:!1}}),z=new N({props:{code:"ZGF0YXNldC5mZWF0dXJlKGF1ZGlvJTVCJTIyYXJyYXklMjIlNUQlMkMlMjBtb2RlbCUzRCUyMndoaXNwZXIlMjIp",highlighted:'dataset.feature(audio[<span class="hljs-string">&quot;array&quot;</span>], model=<span class="hljs-string">&quot;whisper&quot;</span>)',wrap:!1}}),F=new j({props:{choices:[{text:"A",explain:"`librosa.feature.melspectrogram()` creates a power spectrogram."},{text:"B",explain:"",correct:!0},{text:"C",explain:"Dataset does not prepare features for Transformer models, this is done by the model's preprocessor."}]}}),M=new $({props:{title:"5. How do you load a dataset from 🤗 Hub?",local:"5-how-do-you-load-a-dataset-from--hub",headingTag:"h3"}}),q=new N({props:{code:"ZnJvbSUyMGRhdGFzZXRzJTIwaW1wb3J0JTIwbG9hZF9kYXRhc2V0JTBBJTBBZGF0YXNldCUyMCUzRCUyMGxvYWRfZGF0YXNldChEQVRBU0VUX05BTUVfT05fSFVCKQ==",highlighted:`<span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

dataset = load_dataset(DATASET_NAME_ON_HUB)`,wrap:!1}}),X=new N({props:{code:"aW1wb3J0JTIwbGlicm9zYSUwQSUwQWRhdGFzZXQlMjAlM0QlMjBsaWJyb3NhLmxvYWQoUEFUSF9UT19EQVRBU0VUKQ==",highlighted:`<span class="hljs-keyword">import</span> librosa

dataset = librosa.load(PATH_TO_DATASET)`,wrap:!1}}),Q=new N({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMGxvYWRfZGF0YXNldCUwQSUwQWRhdGFzZXQlMjAlM0QlMjBsb2FkX2RhdGFzZXQoREFUQVNFVF9OQU1FX09OX0hVQik=",highlighted:`<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> load_dataset

dataset = load_dataset(DATASET_NAME_ON_HUB)`,wrap:!1}}),B=new j({props:{choices:[{text:"A",explain:"The best way is to use the 🤗 Datasets library.",correct:!0},{text:"B",explain:"Librosa.load is useful to load an individual audio file from a path into a tuple with audio time series and a sampling rate, but not an entire dataset with many examples and multiple features. "},{text:"C",explain:"load_dataset method comes in the 🤗 Datasets library, not in 🤗 Transformers."}]}}),H=new $({props:{title:"6. Your custom dataset contains high-quality audio with 32 kHz sampling rate. You want to train a speech recognition model that expects the audio examples to have a 16 kHz sampling rate. What should you do?",local:"6-your-custom-dataset-contains-high-quality-audio-with-32-khz-sampling-rate-you-want-to-train-a-speech-recognition-model-that-expects-the-audio-examples-to-have-a-16-khz-sampling-rate-what-should-you-do",headingTag:"h3"}}),Y=new j({props:{choices:[{text:"Use the examples as is, the model will easily generalize to higher quality audio examples.",explain:"Due to reliance on attention mechanisms, it is challenging for models to generalize between sampling rates."},{text:"Use Audio module from the 🤗 Datasets library to downsample the examples in the custom dataset",explain:"",correct:!0},{text:"Downsample by a factor 2x by throwing away every other sample.",explain:"This will create distortions in the signal called aliases. Doing resampling correctly is tricky and best left to well-tested libraries such as librosa or 🤗 Datasets."}]}}),Z=new $({props:{title:"7. How can you convert a spectrogram generated by a machine learning model into a waveform?",local:"7-how-can-you-convert-a-spectrogram-generated-by-a-machine-learning-model-into-a-waveform",headingTag:"h3"}}),R=new j({props:{choices:[{text:"We can use a neural network called a vocoder to reconstruct a waveform from the spectrogram.",explain:"Since the phase information is missing in this case, we need to use a vocoder, or the classic Griffin-Lim algorithm to reconstruct the waveform.",correct:!0},{text:"We can use the inverse STFT to convert the generated spectrogram into a waveform",explain:"A generated spectrogram is missing phase information that is required to use the inverse STFT."},{text:"You can't convert a spectrogram generated by a machine learning model into a waveform.",explain:"Try again!"}]}}),V=new Re({props:{source:"https://github.com/huggingface/audio-transformers-course/blob/main/chapters/en/chapter1/quiz.mdx"}}),{c(){h=d("meta"),P=i(),S=d("p"),D=i(),r(g.$$.fragment),O=i(),r(c.$$.fragment),K=i(),r(w.$$.fragment),L=i(),r(y.$$.fragment),ee=i(),r(x.$$.fragment),te=i(),r(b.$$.fragment),ae=i(),r(v.$$.fragment),se=i(),r(T.$$.fragment),ie=i(),C=d("p"),C.textContent=Ue,ne=i(),r(_.$$.fragment),re=i(),k=d("p"),k.textContent=We,oe=i(),r(U.$$.fragment),le=i(),W=d("p"),W.textContent=ze,me=i(),r(z.$$.fragment),pe=i(),r(F.$$.fragment),ue=i(),r(M.$$.fragment),he=i(),A=d("p"),A.textContent=Fe,de=i(),r(q.$$.fragment),fe=i(),J=d("p"),J.textContent=Me,$e=i(),r(X.$$.fragment),ge=i(),G=d("p"),G.textContent=Ae,ce=i(),r(Q.$$.fragment),we=i(),r(B.$$.fragment),ye=i(),r(H.$$.fragment),xe=i(),r(Y.$$.fragment),be=i(),r(Z.$$.fragment),ve=i(),r(R.$$.fragment),Te=i(),r(V.$$.fragment),Ce=i(),I=d("p"),this.h()},l(e){const t=Ye("svelte-u9bgzb",document.head);h=f(t,"META",{name:!0,content:!0}),t.forEach(a),P=n(e),S=f(e,"P",{}),qe(S).forEach(a),D=n(e),o(g.$$.fragment,e),O=n(e),o(c.$$.fragment,e),K=n(e),o(w.$$.fragment,e),L=n(e),o(y.$$.fragment,e),ee=n(e),o(x.$$.fragment,e),te=n(e),o(b.$$.fragment,e),ae=n(e),o(v.$$.fragment,e),se=n(e),o(T.$$.fragment,e),ie=n(e),C=f(e,"P",{"data-svelte-h":!0}),E(C)!=="svelte-9ybnp1"&&(C.textContent=Ue),ne=n(e),o(_.$$.fragment,e),re=n(e),k=f(e,"P",{"data-svelte-h":!0}),E(k)!=="svelte-9yaz6c"&&(k.textContent=We),oe=n(e),o(U.$$.fragment,e),le=n(e),W=f(e,"P",{"data-svelte-h":!0}),E(W)!=="svelte-9yd0mv"&&(W.textContent=ze),me=n(e),o(z.$$.fragment,e),pe=n(e),o(F.$$.fragment,e),ue=n(e),o(M.$$.fragment,e),he=n(e),A=f(e,"P",{"data-svelte-h":!0}),E(A)!=="svelte-9ybnp1"&&(A.textContent=Fe),de=n(e),o(q.$$.fragment,e),fe=n(e),J=f(e,"P",{"data-svelte-h":!0}),E(J)!=="svelte-9yaz6c"&&(J.textContent=Me),$e=n(e),o(X.$$.fragment,e),ge=n(e),G=f(e,"P",{"data-svelte-h":!0}),E(G)!=="svelte-9yd0mv"&&(G.textContent=Ae),ce=n(e),o(Q.$$.fragment,e),we=n(e),o(B.$$.fragment,e),ye=n(e),o(H.$$.fragment,e),xe=n(e),o(Y.$$.fragment,e),be=n(e),o(Z.$$.fragment,e),ve=n(e),o(R.$$.fragment,e),Te=n(e),o(V.$$.fragment,e),Ce=n(e),I=f(e,"P",{}),qe(I).forEach(a),this.h()},h(){Je(h,"name","hf:doc:metadata"),Je(h,"content",je)},m(e,t){Ze(document.head,h),s(e,P,t),s(e,S,t),s(e,D,t),l(g,e,t),s(e,O,t),l(c,e,t),s(e,K,t),l(w,e,t),s(e,L,t),l(y,e,t),s(e,ee,t),l(x,e,t),s(e,te,t),l(b,e,t),s(e,ae,t),l(v,e,t),s(e,se,t),l(T,e,t),s(e,ie,t),s(e,C,t),s(e,ne,t),l(_,e,t),s(e,re,t),s(e,k,t),s(e,oe,t),l(U,e,t),s(e,le,t),s(e,W,t),s(e,me,t),l(z,e,t),s(e,pe,t),l(F,e,t),s(e,ue,t),l(M,e,t),s(e,he,t),s(e,A,t),s(e,de,t),l(q,e,t),s(e,fe,t),s(e,J,t),s(e,$e,t),l(X,e,t),s(e,ge,t),s(e,G,t),s(e,ce,t),l(Q,e,t),s(e,we,t),l(B,e,t),s(e,ye,t),l(H,e,t),s(e,xe,t),l(Y,e,t),s(e,be,t),l(Z,e,t),s(e,ve,t),l(R,e,t),s(e,Te,t),l(V,e,t),s(e,Ce,t),s(e,I,t),_e=!0},p:Ge,i(e){_e||(m(g.$$.fragment,e),m(c.$$.fragment,e),m(w.$$.fragment,e),m(y.$$.fragment,e),m(x.$$.fragment,e),m(b.$$.fragment,e),m(v.$$.fragment,e),m(T.$$.fragment,e),m(_.$$.fragment,e),m(U.$$.fragment,e),m(z.$$.fragment,e),m(F.$$.fragment,e),m(M.$$.fragment,e),m(q.$$.fragment,e),m(X.$$.fragment,e),m(Q.$$.fragment,e),m(B.$$.fragment,e),m(H.$$.fragment,e),m(Y.$$.fragment,e),m(Z.$$.fragment,e),m(R.$$.fragment,e),m(V.$$.fragment,e),_e=!0)},o(e){p(g.$$.fragment,e),p(c.$$.fragment,e),p(w.$$.fragment,e),p(y.$$.fragment,e),p(x.$$.fragment,e),p(b.$$.fragment,e),p(v.$$.fragment,e),p(T.$$.fragment,e),p(_.$$.fragment,e),p(U.$$.fragment,e),p(z.$$.fragment,e),p(F.$$.fragment,e),p(M.$$.fragment,e),p(q.$$.fragment,e),p(X.$$.fragment,e),p(Q.$$.fragment,e),p(B.$$.fragment,e),p(H.$$.fragment,e),p(Y.$$.fragment,e),p(Z.$$.fragment,e),p(R.$$.fragment,e),p(V.$$.fragment,e),_e=!1},d(e){e&&(a(P),a(S),a(D),a(O),a(K),a(L),a(ee),a(te),a(ae),a(se),a(ie),a(C),a(ne),a(re),a(k),a(oe),a(le),a(W),a(me),a(pe),a(ue),a(he),a(A),a(de),a(fe),a(J),a($e),a(ge),a(G),a(ce),a(we),a(ye),a(xe),a(be),a(ve),a(Te),a(Ce),a(I)),a(h),u(g,e),u(c,e),u(w,e),u(y,e),u(x,e),u(b,e),u(v,e),u(T,e),u(_,e),u(U,e),u(z,e),u(F,e),u(M,e),u(q,e),u(X,e),u(Q,e),u(B,e),u(H,e),u(Y,e),u(Z,e),u(R,e),u(V,e)}}}const je='{"title":"Check your understanding of the course material","local":"check-your-understanding-of-the-course-material","sections":[{"title":"1. What units is the sampling rate measured in?","local":"1-what-units-is-the-sampling-rate-measured-in","sections":[],"depth":3},{"title":"2. When streaming a large audio dataset, how soon can you start using it?","local":"2-when-streaming-a-large-audio-dataset-how-soon-can-you-start-using-it","sections":[],"depth":3},{"title":"3. What is a spectrogram?","local":"3-what-is-a-spectrogram","sections":[],"depth":3},{"title":"4. What is the easiest way to convert raw audio data into log-mel spectrogram expected by Whisper?","local":"4-what-is-the-easiest-way-to-convert-raw-audio-data-into-log-mel-spectrogram-expected-by-whisper","sections":[],"depth":3},{"title":"5. How do you load a dataset from 🤗 Hub?","local":"5-how-do-you-load-a-dataset-from--hub","sections":[],"depth":3},{"title":"6. Your custom dataset contains high-quality audio with 32 kHz sampling rate. You want to train a speech recognition model that expects the audio examples to have a 16 kHz sampling rate. What should you do?","local":"6-your-custom-dataset-contains-high-quality-audio-with-32-khz-sampling-rate-you-want-to-train-a-speech-recognition-model-that-expects-the-audio-examples-to-have-a-16-khz-sampling-rate-what-should-you-do","sections":[],"depth":3},{"title":"7. How can you convert a spectrogram generated by a machine learning model into a waveform?","local":"7-how-can-you-convert-a-spectrogram-generated-by-a-machine-learning-model-into-a-waveform","sections":[],"depth":3}],"depth":1}';function Ee(ke){return Qe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Oe extends Be{constructor(h){super(),He(this,h,Ee,Ve,Xe,{})}}export{Oe as component};
